# Sway Wallpaper

Display wallpapers on Sway, this is essentially a wrapper for `swaybg`.

## Features

- Specify a directory containing all your wallpapers
- Specify for which display
- Set interval to automatically change wallpaper after some time
- Wallpapers can be chosen randomly
- Wallpapers can be chosen in alphabetical order
- No "grey" flash when switching wallpapers

## Usage

```sh
usage: sway-wallpaper [options] <path> <output>

required:
  output               The outputs as shown with the command `swaymsg -t get_outputs`
  path                 The path to the directory containing the wallpapers

options:
  --always-random      if set, always randomize the next wallpaper
  -h, --help           Show help
  -i, --interval       Specify the interval between
  --never-random       if set, wallpapers order is based on the names of the files
```

## Installation

First, clone this repository `git clone https://codeberg.org/vyn/sway-wallpaper.git` (or download it the way you prefer).  

You only need **gcc** and **cmake**, run these commands in the project directory:

```
mkdir build
cd build
cmake ..
make
```

The executable should be located in `build/sway-wallpaper`
